body {
    font-family: 'Segoe UI', sans-serif;
    overflow-x:hidden;
}

/* Smooth Scroll */
html {
    scroll-behavior: smooth;
}
/* ================= NAVBAR ================= */
.navbar {
    padding: 15px 0;
    transition: 0.3s;
}

.navbar-brand img {
    height: 70px;
}
/* Active menu highlight */
.navbar .nav-link.active {
    color: #e30613 !important;
}

    .navbar .nav-link.active::after {
        width: 100%;
    }

.nav-link {
    font-weight: 500;
    color: #333 !important;
    margin-left: 20px;
    position: relative;
}

    .nav-link::after {
        content: '';
        position: absolute;
        width: 0%;
        height: 2px;
        left: 0;
        bottom: -5px;
        background: #e30613;
        transition: 0.3s;
    }

    .nav-link:hover::after {
        width: 100%;
    }

.btn-red {
    position: relative;
    overflow: hidden;
    background: #e30613 !important;
    color: #fff !important;
    border: none !important;
    padding: 8px 20px !important;
    border-radius: 50px !important;
    animation: pulseEffect 2s infinite ease-in-out;
}

    /* Shine Layer */
    .btn-red::before {
        content: "";
        position: absolute;
        top: 0;
        left: -75%;
        width: 50%;
        height: 100%;
        background: linear-gradient( 120deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 50%, rgba(255,255,255,0) 100% );
        transform: skewX(-25deg);
        animation: shineEffect 2.5s infinite;
    }

/* Pulse Animation */
@keyframes pulseEffect {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 rgba(227,6,19,0.4);
    }

    50% {
        transform: scale(1.05);
        box-shadow: 0 0 15px rgba(227,6,19,0.6);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 rgba(227,6,19,0.4);
    }
}

/* Shine Animation */
@keyframes shineEffect {
    0% {
        left: -75%;
    }

    100% {
        left: 125%;
    }
}

.btn-red:hover {
    background: #c00510 !important;
    color: #fff !important;
}

.navbar.scrolled {
    background: #fff !important;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
}

/* ================= HERO ================= */
.hero {
    position: relative;
    background: url('../images/main-img.jpg') center/cover no-repeat;
    height: 600px;
    color: #fff;
    display: flex;
    align-items: center;
    text-align: center;
}

    .hero::before {
        content: '';
        position: absolute;
        inset: 0;
        background: rgba(0,0,0,0.1);
    }

    .hero .container {
        position: absolute;
        z-index: 2;
        left: 0;
        right: 0;
        bottom: 40px;
    }

/* ================= PRODUCTS ================= */
.product-card {
    position: relative;
    overflow: hidden;
    border-radius: 8px;
}

    .product-card img {
        width: 100%;
        height: 220px;
        object-fit: cover;
        transition: 0.4s;
    }

    .product-card:hover img {
        transform: scale(1.1);
    }

.product-label {
    position: absolute;
    bottom: 10px;
    left: 10px;
    background: #e30613;
    color: #fff;
    padding: 5px 15px;
    border-radius: 4px;
}

/* ================= WHY SECTION ================= */
.why-box {
    background: #d93035;
    padding: 30px;
    border-radius: 6px;
    text-align: center;
    height: 100%;
}
    .why-box h5 {
        color:#fff;
    }
    .why-box p {
        color: #ddd;
    }
    .why-icon {
        width: 80px;
        height: 80px;
        margin: 0 auto;
        border-radius: 50%;
        background: #fff;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
        transition: 0.3s ease;
    }

    .why-icon i {
        font-size: 32px;
        color: #000;
    }

.why-box:hover .why-icon {
    transform: translateY(-8px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}
/* ================= BRANDS ================= */
.brands {
    position: relative;
    background: url('images/store.jpg') center/cover no-repeat;
    padding: 80px 0;
    color: #fff;
}

    .brands::before {
        content: '';
        position: absolute;
        inset: 0;
        background: rgba(227,6,19,0.85);
    }

    .brands .container {
        position: relative;
        z-index: 2;
    }

/* ================= CTA ================= */
.cta {
    position: relative;
    background: url('images/showroom.jpg') center/cover no-repeat;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding:80px 0px;
}

    .cta::before {
        content: '';
        position: absolute;
        background: #fff;
    }

    .cta a {
        position: relative;
        z-index: 2;
    }

/* ================= FOOTER ================= */
footer {
    background: #000;
    color: #fff;
    padding: 100px 0;
}
    footer h5 {
        color: #e30613;
    }
/* ================= SCROLL TO TOP ================= */
#scrollTopBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 999;
    border: none;
    background-color: #e30613;
    color: white;
    cursor: pointer;
    padding: 12px 14px;
    font-size: 18px;
    border-radius: 50%;
    display: none;
    transition: 0.3s;
}

    #scrollTopBtn:hover {
        background-color: #c00510;
    }

@media(max-width:768px) {
    .hero {
        height: 350px;
    }
}
.brand-grid {
    align-items: center;
}

    .brand-grid img {
        max-width: 100%;
        transform: scale(1);
        transition: 0.3s;
        border: 1px solid #ddd;
        padding: 10px;
        border-radius: 10px;
    }

        .brand-grid img:hover {
            transform: scale(1.05);
            transition: 0.3s;
        }